Antes de ejecutar la actualización, revise los siguientes requisitos previos.

Requisitos de configuración del sistema

Compruebe que se cumplan los siguientes requisitos previos antes de iniciar una actualización.

  • Compruebe que todos los dispositivos y los servidores que forman parte de la implementación cumplen los requisitos del sistema para la versión más reciente. Consulte Matriz de compatibilidad de vRealize Automation en la documentación de VMware vRealize Automation.

  • Consulte la Matriz de interoperabilidad de productos de VMware en el sitio web de VMware para obtener información sobre la compatibilidad con otros productos de VMware.

  • Verifique que la versión de vRealize Automation desde la que está actualizando esté en una condición de trabajo estable. Solucione los problemas que pudiera haber antes de la actualización.

Requisitos de configuración de hardware

Compruebe que se cumplan los siguientes requisitos previos antes de iniciar una actualización.

  • Debe tener como mínimo 18 GB de RAM, 4 CPU, disco 1 = 50 GB, disco 3 = 25 GB y disco 4 = 50 GB antes de ejecutar la actualización.

    Si la máquina virtual se encuentra en vCloud Networking and Security, puede que deba asignar más espacio de RAM.

    Aunque el soporte general para vCloud Networking and Security 5.5.x (vCNS) finalizó en septiembre de 2016, las propiedades personalizadas de vCNS siguen siendo válidas para los fines de NSX. Para obtener más información, consulte el artículo de la base de conocimientos de VMware correspondiente a la finalización de la disponibilidad y del soporte general de VMware vCloud Networking and Security 5.5.x (2144733) en http://kb.vmware.com/kb/2144733.

  • El nodo de Model Manager, el nodo de base de datos de Microsoft SQL y el nodo de sitio web de IaaS principal deben tener los siguientes recursos:

    • Microsoft .NET Framework, versión 4.5.2

    • 5 GB de espacio de disco libre como mínimo

  • Los siguientes nodos deben tener instalado JAVA SE Runtime Environment 8, actualización 111 (64 bits) o posterior:

    • El nodo de sitio web de IaaS principal donde están instalados los datos de Model Manager.

    • El nodo de base de datos de Microsoft SQL.

    Después de instalar Java, debe establecer la variable de entorno, JAVA_HOME, en la nueva versión.

  • Para descargar y ejecutar la actualización, debe disponer de los siguientes recursos:

    • 4,5 GB en la partición raíz como mínimo

    • 4,5 GB en la partición /storage/db para el Dispositivo de vRealize Automation principal

    • 4,5 GB en la partición raíz para cada dispositivo virtual de réplica

  • Compruebe la subcarpeta /storage/log y quite cualquier archivo ZIP guardado anterior para liberar espacio.

Requisitos previos generales

Compruebe que se cumplan los siguientes requisitos previos antes de iniciar una actualización.

  • Tiene acceso a todas las bases de datos y todos los equilibradores de carga a los que afecta la actualización de vRealize Automation o que participan en esta.

  • El sistema no estará disponible para los usuarios mientras se lleva a cabo la actualización.

  • Ha deshabilitado las aplicaciones que realizan consultas en vRealize Automation.

  • Compruebe que el Coordinador de transacciones distribuidas de Microsoft (MSDTC) está habilitado en todos los servidores SQL asociados y de vRealize Automation. Para obtener instrucciones, consulte el artículo de la base de conocimientos de VMware Error en varias tareas tras la actualización o la migración a VMware vCloud Automation Center (vCAC) 6.1.x (2089503) en http://kb.vmware.com/kb/2089503.

  • Haga lo siguiente si va a actualizar un entorno distribuido configurado con una base de datos de PostgreSQL integrada.

    1. Examine los archivos en el directorio pgdata del host principal antes de actualizar los hosts de réplica.

    2. Acceda a la carpeta de datos de PostgreSQL en el host principal en /var/vmware/vpostgres/current/pgdata/.

    3. Cierre los archivos que tenga abiertos en el directorio pgdata y quite los archivos que tengan el sufijo .swp.

    4. Compruebe que todos los archivos en este directorio tengan la propiedad correcta: postgres:users.